curl --request POST \
--url https://api.myscalev.com/v3/orders/upload-change-status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file' \
--form 'tz=<string>'{
"data": [
{
"id": 123,
"order_id": "<string>",
"payment_status": "unpaid",
"status": "draft"
}
],
"is_paginated": false
}Requires the order:change_status machine scope. Upload a CSV file to change status of multiple orders. Template file can be downloaded from the link here: https://app.scalev.id/example/update_status_template.csv. (1) Leave blank the ‘shipment_receipt’ field if you don’t want to change the receipt/tracking number. Note: this will not change receipts/tracking numbers that are automatically generated by Scalev through the ‘Request Pickup’ menu. (2) Leave blank the ‘day’, ‘month’, and ‘year’ fields if you want to use the time of upload.
curl --request POST \
--url https://api.myscalev.com/v3/orders/upload-change-status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file' \
--form 'tz=<string>'{
"data": [
{
"id": 123,
"order_id": "<string>",
"payment_status": "unpaid",
"status": "draft"
}
],
"is_paginated": false
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
CSV upload